% compare calculated and expected value, used in esputr_matlab_test.m
%
% because of Matlab: "Function definitions are not permitted at the prompt or in scripts"
% (Octave doesn't care)

%    Copyright (c) 2016  Forschungszentrum Juelich GmbH
%                        Markus Brenneis, Vladislav Kotov 
%
%    This file is part of EIRAM.
%
%    EIRAM is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    EIRAM is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with EIRAM.  If not, see <http://www.gnu.org/licenses/>.
%

function matlab_passed = matlab_passed(calculated, expected)
    global failures
    global REL_TOL
    matlab_passed = abs(calculated - expected) <= (REL_TOL * abs(expected));
    if(~all(matlab_passed))
        fprintf('FAILURE\n')
        expected
        calculated
        failures = failures + 1
    end
end
